FUNCTION TEMPLA(3)

NAME
boost::algorithm::trim_left - Left trim.

SYNOPSIS

// In header: <boost/algorithm/string/trim.hpp>
template<typename SequenceT>
  void trim_left(SequenceT & Input, const std::locale & Loc = std::locale());

DESCRIPTION

Remove all leading spaces from the input. The Input sequence is modified in-place.

Parameters:

    Input
        An input sequence

    Loc
        A locale used for 'space' classification